%define name gtranslator
%define version 0.43
%define release 2mdk

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
# (fc) 0.41-2mdk use DTD compliant OMF file
Patch0:  gtranslator-0.41-omffix.patch.bz2
License: GPL
Group: Development/Other
URL: http://gtranslator.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Summary:	Comfortable po file editor with many bells and whistles.
Prereq:		scrollkeeper >= 0.3
Requires:	glib >= 1.2.8, gtk+ >= 1.2.8, gnome-libs >= 1.2.8, imlib, GConf >= 1.0, gettext
Requires:	gnome-vfs >= 0.4.1, gal >= 0.10.99
BuildRequires: gnome-libs-devel

%description
gtranslator is a comfortable po file editor with many bells and whistles.
It features many useful function which ease the work of translators of po
files immenantly.

%prep
%setup -q
%patch0 -p1 -b .omffix

%build

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

%configure --enable-mime-bind=yes --with-gconf --enable-compile-warnings=no --disable-debug

%make

make check

%install
rm -fr %{buildroot}
make install DESTDIR=%{buildroot}
install -d %{buildroot}/%{_miconsdir}
install -d %{buildroot}/%{_liconsdir}
bzcat %{SOURCE10} > %{buildroot}/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > %{buildroot}/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > %{buildroot}/%{_liconsdir}/%{name}.png
install -d %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(gtranslator): needs="x11" section="Applications/Development/Tools" title="gtranslator"\
icon="gtranslator.png" command="gtranslator" longtitle="Comfortable po file editor for GNOME"\
mimetypes="application/x-gettext"
EOF

%find_lang %name --with-gnome

%clean
rm -fr %{buildroot}

%post 
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{update_menus}

%postun 
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{clean_menus}

%files -f %name.lang
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/gtranslator
%{_datadir}/omf/*
%doc AUTHORS COPYING ChangeLog DEPENDS INSTALL NEWS README THANKS TODO
%{_mandir}/man1/gtranslator*
%{_mandir}/man1/pozilla*
%dir %{_libdir}/gtranslator
%dir %{_libdir}/gtranslator/backends
%dir %{_libdir}/gtranslator/backends/docbook
%dir %{_libdir}/gtranslator/backends/text
%{_libdir}/gtranslator/backends/*/*.la
%{_libdir}/gtranslator/backends/*/*.so
%{_libdir}/gtranslator/backends/*.xml
%{_datadir}/gnome/apps/Development/gtranslator*
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/gtranslator.*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.43-2mdk
- rebuild

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.43-1mdk
- Release 0.43

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.41-2mdk
- Patch0: use DTD compliant OMF file

* Fri Apr 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.41-1mdk
- updated by Juan Manuel Garca Molina <juanma_gm@wanadoo.es> :
	- New release (0.41).

* Fri Mar 15 2002 Juan Manuel Garca Molina <juanma_gm@wanadoo.es> 0.40-2mdk
- Make rpmlint a bit happier.

* Thu Mar 14 2002 Juan Manuel Garca Molina <juanma_gm@wanadoo.es> 0.40-1mdk
- New release (0.40).
- Remove file %{_sysconfdir}/gconf/schemas/gtranslator.schemas

* Tue Feb 19 2002 Juan Manuel Garca Molina <juanma_gm@wanadoo.es> 0.39.1-3mdk
- r/$RPM_BUILD_ROOT/%{buildroot}

* Tue Feb 19 2002 Juan Manuel Garca Molina <juanma_gm@wanadoo.es> 0.39.1-2mdk
- Clean spec file
- Adapt .spec file with Mandrake generic skelet.spec
- Make source code available local and .tar.bz2 formatted
- Mandrake menu entry
- Add "--with-gnome-includes=/usr/include/gnome-1.0" (from package libgnome32-devel)
- Add png icons
- Add "--mandir=%{_mandir}" to configure options

* Mon Jan 21 2002 Juan Manuel Garca Molina <juanma_gm@wanadoo.es> 0.39.1.99-1-1mdk
- Initial Mandrake package.
- Using spec file from src package for gtranslator-0.39.2-1 for RedHat
